2

I just upgraded CiviCRM to the latest version with Drupal 7 on a duplicate test installation and now when I select a time slot in the "Select Resources (Step 1 or 3)" screen and the pop-up appears, I find no options available in the "Configuration" selection drop-down. I cannot complete a booking.

I have options set up that have been used a long time, but interestingly, if I edit an option and then save it, it becomes immediately disabled and the "enable" checkbox is grayed out, not allowing me to enable it.

I have gone to the database and forced it to be enabled in the booking_config_set table, but every time I edit it in CiviCRM, it becomes disabled again.

I created a brand new config set, but it behaves the same way and still nothing displays as a configuration drop-down option when I try to make a booking. I'd just like some idea what the problem might be and where I might start to resolve this?

  • Could you provide a bit more information? You mentioned that you have upgraded CiviCRM to the latest version (I assume 4.7.24?). Which version did you upgrade from? Also which version of CiviBooking are you using? Best Guanhuan – Guanhuan Sep 28 '17 at 10:39
  • Gaunhuan, I cannot upgrade to 4.7.24. Civibooking breaks when I do it in a duplicate test version and the organization depends on it, so I am still using the CiviCRM version just below 4.7.24. I am using the latest stable version of Civibooking for Drupal 7 (Version 1.5). Civibooking seems to be a mishmash of other open source software, much of the code appears to be for other features Civibooking doesn't seem to use and I am not a javascript person. I work mainly with PHP and so when I look at the code to try and sort it out, my head swims. Drupal reports this error below and I have not obtai – Tish Sep 29 '17 at 12:06
  • Hi Tish, I cannot reproduce the issue you described "I have options set up that have been used a long time, but interestingly, if I edit an option and then save it, it becomes immediately disabled and the "enable" checkbox is grayed out, not allowing me to enable it." However, I did find some js errors with CiviBooking in CiviCRM 4.7.24. We will take a look see if it is related. Meanwhile, it will be great if you could provide any more information. You mentioned that you cannot upgrade to 4.7.24 so what's the current version of your CiviCRM? – Guanhuan Oct 13 '17 at 13:34
  • Hello Guanhuan, Thank you so much for your reply. I am currently using version 4.7.20 of CiviCRM. It would be wonderful if there is a solution, because some of the features of the extension are very useful for us. Tish – Tish Oct 16 '17 at 13:57
  • Hi Tish, can I also suggest to move this thread to our repo github.com/compucorp/civibooking as a ticket so we can have direct conversation regarding the issue and we will come back here when it is dealt with? – Guanhuan Oct 17 '17 at 10:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.